<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:p="http://primefaces.org/ui"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets">
    <h:head>
        <title>Tipo de Techo</title>
        <h:outputStylesheet name="style.css" library="css" />
    </h:head>
    <h:body>
        <ui:composition template="./padre.xhtml">
            <ui:define name="content"> 

                <p:fieldset legend="Agregar Tipo de Techo"  style="margin-bottom:20px" > 
                    <h:form id="formTipoTecho" >
                        <p:growl id="msg" />
                        <h:panelGrid columns="2" cellpadding="2" cellspacing="2"> 
                            <p:outputLabel value="Tipo de techo" style="margin-right:15px;"/>
                            <p:inputText value="#{tipo_TechoController.tipo_Techo.tipo}"/>
                            <div class="registrar"> 
                                <p:commandButton style="top:6px" icon="pi pi-save"  rendered="#{tipo_TechoController.tipo_Techo.tipo==null}" value="Registrar" actionListener="#{tipo_TechoController.insertar()}" update=":tipoTechos,formTipoTecho,:formTipoTecho:msg"/>
                            </div>
                            <p:commandButton icon="pi pi-times"  rendered="#{tipo_TechoController.tipo_Techo.tipo!=null}" value="Cancelar" actionListener="#{tipo_TechoController.init()}" update=":tipoTechos,formTipoTecho,:formTipoTecho:msg"/>
                            <p:commandButton icon="pi pi-refresh"  rendered="#{tipo_TechoController.tipo_Techo.tipo!=null}" value="Actualizar" actionListener="#{tipo_TechoController.editar()}" update=":tipoTechos,formTipoTecho,:formTipoTecho:msg"/>

                        </h:panelGrid>
                    </h:form>    
                </p:fieldset>

                <p:fieldset legend="Listado de Tipos de Techo"> 
                    <h:form id="tipoTechos" class="dosColumnas">
                        <p:dataTable value="#{tipo_TechoController.lista}" var="techos"  paginator="true" rows="5" reflow="true" style="width: 80%; margin: auto; margin-top:2px">
                            <p:column headerText="Tipo de Techo">
                                <p:outputLabel value="#{techos.tipo}"/>
                            </p:column>
                            <p:column headerText="Acciones">
                                <div class="eliminar"> 
                                    <p:commandButton icon="pi pi-trash"  value="Eliminar" actionListener="#{tipo_TechoController.eliminar(techos)}" update="tipoTechos,formTipoTecho:msg"/>
                                </div>
                                <div class="editar"> 
                                    <p:commandButton icon="pi pi-pencil" value="Editar" actionListener="#{tipo_TechoController.consultarById(techos)}" update=":formTipoTecho"/>
                                </div>
                            </p:column>
                        </p:dataTable>
                    </h:form>
                </p:fieldset>

            </ui:define>
        </ui:composition>
    </h:body>
</html>

